Jump to content
jonior

Módulos PagSeguro, PayPal e Correios para PrestaShop 1.7

Recommended Posts

Olá! 

 

Sou novo na construção de loja virtual, instalei a última versão, PrestaShop 1.7.0.6 e vejo que ainda não há os módulos facilmente disponibilizados, gostaria de saber como posso instalá-los, nem que eu tenha pagar para alguém disponibilizar para mim.

 

Tenho pressa, pois marquei de inaugurar a loja já pro próximo sábado.

 

Jónior

 

Share this post


Link to post
Share on other sites

Nao creio que os módulos sairao antes que o Prestashop seja versao 1.7.1. Todos os desenvolvedores sabem que cada pulo de versao somente é estável na versao x.1.x acima. Os módulos que menciona, sao produtos terceirizados, ou seja nao foram desenvolvidos pela equipe Presta.

 

PS 1.7. apesar de ter saído oficialmente, ainda se encontra em fase beta (open).

Share this post


Link to post
Share on other sites

Ou seja, é melhor desinstalar a versão 1.7 e instalar a 1.6?

 

Uma lástima que me preocupei primeiro com o visual e textos, só depois que fui conferir a parte técnica de venda. :-(

Share this post


Link to post
Share on other sites

Depende da pressa. Ceio que Prestashop 1.7.1 estará disponível somente no final do ano, comeco ano que vem. Lojas em producao é melhor instalar a versao 1.6. que além de nao mais estar bugada, possue um monte de extras grátis e pagos. Enquanto a versao 1.7. ainda nao possue muitos extras, além da versao bugada nativa.

Share this post


Link to post
Share on other sites

Vc. também deverá deletar tudo do banco de dados (dados e tabelas existentes). Após isto poderá usar o banco vazio para a sua instalacao PS 1.6. Ou entao vc. adiciona um banco novo, fica por sua conta.

  • Like 1

Share this post


Link to post
Share on other sites

Hoje é 07 de maio 2017. Já há um módulo Pagseguro compatível com a versão 1.7.1.1 da Prestashop?

Share this post


Link to post
Share on other sites

Hoje é 07 de maio 2017. Já há um módulo Pagseguro compatível com a versão 1.7.1.1 da Prestashop?

Paseguro (free): Está em processo. Se vc. quiser acompanhar, entao vá por aqui: https://github.com/pagseguro/prestashop/pull/34

 

Paypal já existe (free): https://addons.prestashop.com/en/payment-card-wallet/1748-paypal-official.html

 

Correios já existe (módulo pago): https://addons.prestashop.com/pt/transportadoras/21829-calculo-do-frete-pelos-correios.html

Share this post


Link to post
Share on other sites

Blz. Vou deletar tudo via ftp. :´-(

Eu não faria isto! Minha sugestão é ir usando outro meio de pagamento, como o Paypal, que me indicaram hoje: https://addons.prestashop.com/en/payment-card-wallet/1748-paypal-official.html (já é compatível com a versão 1.7, segundo o nosso amigo SelectShop.at ). Eu estou atualizando a minha loja, que estava ainda na pré-história versão 1.4.9. Nela eu usava somente o Pagseguro, mas está claro que é preciso ter alternativas, até mesmo para estes momentos de upgrade da loja. Estou reconstruindo a loja na versão 1.7.1.1 e estava na mesma situação sua, de dependência do módulo do Pagseguro. O que vou fazer é instalar o módulo do Paypal, e aguardar um módulo compatível do Pagseguro.

Share this post


Link to post
Share on other sites

Paseguro (free): Está em processo. Se vc. quiser acompanhar, entao vá por aqui: https://github.com/pagseguro/prestashop/pull/34

 

Paypal já existe (free): https://addons.prestashop.com/en/payment-card-wallet/1748-paypal-official.html

 

Correios já existe (módulo pago): https://addons.prestashop.com/pt/transportadoras/21829-calculo-do-frete-pelos-correios.html

Obrigado amigo Selectshop! Vou instalar o Paypal e aguardar um compatível do Pagseguro. Quanto ao módulo dos correios, consegui configurar o módulo do tema padrão da prestashop. Esta loja que estou atualizando é de cursos que serão entregues via download, portanto configurei o módulo com custo zero para tudo.

Edited by Jorge Aramuni (see edit history)

Share this post


Link to post
Share on other sites

Paseguro (free): Está em processo. Se vc. quiser acompanhar, entao vá por aqui: https://github.com/pagseguro/prestashop/pull/34

 

Paypal já existe (free): https://addons.prestashop.com/en/payment-card-wallet/1748-paypal-official.html

 

Correios já existe (módulo pago): https://addons.prestashop.com/pt/transportadoras/21829-calculo-do-frete-pelos-correios.html

Você sabe como instalar este módulo do Paypal (a versão de minha loja é 1.7.1)? Quando clico em ATIVAR e entro os dados solicitados, surge esta mensagem de erro: An error occurred. Please, check your credentials. Vi que muita gente está tendo este mesmo tipo de dificuldade: https://www.prestashop.com/forums/topic/604331-v171-paypal-an-error-occurred-please-check-your-credentials/

Edited by Jorge Aramuni (see edit history)

Share this post


Link to post
Share on other sites

Paseguro (free): Está em processo. Se vc. quiser acompanhar, entao vá por aqui: https://github.com/pagseguro/prestashop/pull/34

 

Paypal já existe (free): https://addons.prestashop.com/en/payment-card-wallet/1748-paypal-official.html

 

Correios já existe (módulo pago): https://addons.prestashop.com/pt/transportadoras/21829-calculo-do-frete-pelos-correios.html

Está parecendo que ainda não há nenhum módulo de pagamento compatível com a Prestashop 1.7.1.1. Literalmente todos que testei deram erro: Pagseguro, Paypal e Mercado Pago!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More